@import '../../../assets/theme/variables.scss';

.form {
    display: flex;
    flex-direction: column;

    .row {
      display: flex;
      justify-content: space-between;

      .item {
        width: 48%;

        .input-form {
          margin-top: 8px;
        }
      }
    }

    label {
      color: #fff;
      margin-bottom: 10px;
    }

    .input-form {
      padding: 8px;
      background-color: #252423;
      border-radius: 5px;
      margin-bottom: 15px;
      position: relative;
      display: flex;
      align-items: center;

      input {
        width: 100%;
        background-color: transparent;
        border: none;
        color: #fff;
        padding-right: 30px;

        &:focus {
          outline: none !important;
          border: none;
        }
      }

      .get-code{
        position: absolute;
        right: 0;
        background-color: rgba($color-green, 0.35);
        padding: 7px 16px;
        border-radius: 8px;
        cursor: pointer;
      }

      .icon-show {
        position: absolute;
        // top: 3px;
        right: 10px;
        width: 30px;
        height: 30px;
        filter: invert(1);
      }
    }

    .forgot {
      display: flex;
      align-items: center;
      justify-content: space-between;
      margin-top: 30px;

      p {
        font-size: 14px;
        color: $color-green;
        cursor: pointer;
      }

      .wallet {
        display: flex;
        align-items: center;
        cursor: pointer;

        p {
          margin-left: 8px;
        }
      }
    }

    .btn-login {
      display: flex;
      padding: 8px;
      border-radius: 8px;
      margin-top: 16px;
      justify-content: center;
      background-color: rgba($color-green, 0.35);
      cursor: pointer;
    }

    .check-box {
      width: 300px;
      border: 1px solid #b2b2b2;
      display: inline-flex;
      align-items: center;
      justify-content: space-between;
      padding: 8px;
      background-color: #252423;
      margin-top: 24px;

      .box {
        display: flex;
        align-items: center;

        p{
          color: #fff;
        }

        input {
          width: 30px;
          height: 30px;
          margin-right: 8px;
        }
      }


      .img-anchor {
        text-align: center;

        img {
          width: 30px;
          height: 30px;
          object-fit: contain;
        }

        p {
          font-size: 12px;
          line-height: 7px;
          color: #fff;
        }

        a {
          color: #fff;
          line-height: 7px;
          font-size: 10px;
        }
      }
    }
  }